View Issue Details

IDProjectCategoryView StatusLast Update
0004527SymmetricDSImprovementpublic2020-09-23 16:34
Reporterdingshiuan Assigned Topmarzullo  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.3 
Target Version3.12.4Fixed in Version3.12.4 
Summary0004527: dbexport structure and data of tables from the database to tibero format files
Description我的 source database 是 oracle, target database 是 tibero
sync data 沒有問題
我試著使用 dbexport 指令, export to file for tibero format files
都有錯誤訊息
如下

Steps To Reproduce試著以下3種 database format 可以正常產出結果
1. ./bin/dbexport --format=sql --compatible=oracle item
2. ./bin/dbexport --format=sql --compatible=mysql item
3. ./bin/dbexport --format=sql --compatible=postgres item

./bin/dbexport --format=sql --compatible=tibero item
Log output will be written to /u02/symmetric-corp/logs/symmetric.log
-------------------------------------------------------------------------------
An exception occurred. Please see the following for details:
-------------------------------------------------------------------------------
java.lang.RuntimeException: Unable to create DML statements for unknown dialect: tibero
    at org.jumpmind.db.platform.DmlStatementFactory.createDmlStatement(DmlStatementFactory.java:55)
    at org.jumpmind.db.platform.DmlStatementFactory.createDmlStatement(DmlStatementFactory.java:45)
    at org.jumpmind.symmetric.io.data.DbExport$WriterWrapper.startTable(DbExport.java:548)
    at org.jumpmind.symmetric.io.data.DbExport.writeTable(DbExport.java:227)
    at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:188)
    at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:163)
    at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:153)
    at org.jumpmind.symmetric.DbExportCommand.executeWithOptions(DbExportCommand.java:198)
    at org.jumpmind.symmetric.AbstractCommandLauncher.execute(AbstractCommandLauncher.java:193)
    at org.jumpmind.symmetric.DbExportCommand.main(DbExportCommand.java:77)
-------------------------------------------------------------------------------


Tagsdbexport

Activities

dingshiuan

2020-09-08 21:55

reporter  

symm.docx (58,626 bytes)

Related Changesets

SymmetricDS: 3.12 3b86c0a8

2020-09-09 13:25:16

pmarzullo

Details Diff
0004527: dbexport structure and data of tables from the database to
tibero format files
Affected Issues
0004527
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java Diff File

Issue History

Date Modified Username Field Change
2020-09-08 21:55 dingshiuan New Issue
2020-09-08 21:55 dingshiuan Tag Attached: dbexport
2020-09-08 21:55 dingshiuan File Added: symm.docx
2020-09-09 13:23 pmarzullo Assigned To => pmarzullo
2020-09-09 13:23 pmarzullo Status new => assigned
2020-09-09 13:23 pmarzullo Target Version => 3.12.4
2020-09-09 13:23 pmarzullo Description Updated View Revisions
2020-09-09 13:23 pmarzullo Steps to Reproduce Updated View Revisions
2020-09-09 13:25 pmarzullo Status assigned => resolved
2020-09-09 13:25 pmarzullo Resolution open => fixed
2020-09-09 13:25 pmarzullo Fixed in Version => 3.12.4
2020-09-09 14:00 pmarzullo Changeset attached => SymmetricDS 3.12 3b86c0a8
2020-09-23 16:34 admin Status resolved => closed